using System;
using System.Text;


namespace GameMaker.Models
{
    public class CharacterSetDefinition
    {
        public Int32 Key { get; set; }
        public Int32 TextureKey { get; set; }
        public String Comment { get; set; }


        public static String GetCsvTitle()
        {
            return "Key,TextureKey,Comment";
        }


        public String ToCsvString()
        {
            StringBuilder line = new StringBuilder();

            line.Append(Key);
            line.Append(',');
            line.Append(TextureKey);
            line.Append(',');
            line.Append(Comment);

            return line.ToString();
        }
    }
}
